package com.bonus.canteen.core.device.manage.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("device_dc_terminal")
@ApiModel(
   value = "DeviceDcTerminal对象",
   description = ""
)
public class DeviceDcTerminal implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("序列号")
   private String serialNo;
   @ApiModelProperty("ip 端口")
   private String ipPort;
   @ApiModelProperty("楼宇id")
   private Integer buildId;
   @ApiModelProperty("备注")
   private String note;
   @ApiModelProperty("门禁设备类型 1 门禁 2 考勤")
   private String deviceCategory;
   @ApiModelProperty("最后推送数据时间")
   private LocalDateTime lastPushDate;
   @ApiModelProperty("系统中时区、群组、假日更新的最后时间")
   private LocalDateTime systemDateUpdateDate;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("创建时间")
   @TableField(
      fill = FieldFill.INSERT
   )
   private LocalDateTime crtime;
   @ApiModelProperty("更新时间")
   @TableField(
      fill = FieldFill.UPDATE
   )
   private LocalDateTime uptime;

   public Integer getId() {
      return this.id;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public String getSerialNo() {
      return this.serialNo;
   }

   public String getIpPort() {
      return this.ipPort;
   }

   public Integer getBuildId() {
      return this.buildId;
   }

   public String getNote() {
      return this.note;
   }

   public String getDeviceCategory() {
      return this.deviceCategory;
   }

   public LocalDateTime getLastPushDate() {
      return this.lastPushDate;
   }

   public LocalDateTime getSystemDateUpdateDate() {
      return this.systemDateUpdateDate;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DeviceDcTerminal setId(final Integer id) {
      this.id = id;
      return this;
   }

   public DeviceDcTerminal setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
      return this;
   }

   public DeviceDcTerminal setSerialNo(final String serialNo) {
      this.serialNo = serialNo;
      return this;
   }

   public DeviceDcTerminal setIpPort(final String ipPort) {
      this.ipPort = ipPort;
      return this;
   }

   public DeviceDcTerminal setBuildId(final Integer buildId) {
      this.buildId = buildId;
      return this;
   }

   public DeviceDcTerminal setNote(final String note) {
      this.note = note;
      return this;
   }

   public DeviceDcTerminal setDeviceCategory(final String deviceCategory) {
      this.deviceCategory = deviceCategory;
      return this;
   }

   public DeviceDcTerminal setLastPushDate(final LocalDateTime lastPushDate) {
      this.lastPushDate = lastPushDate;
      return this;
   }

   public DeviceDcTerminal setSystemDateUpdateDate(final LocalDateTime systemDateUpdateDate) {
      this.systemDateUpdateDate = systemDateUpdateDate;
      return this;
   }

   public DeviceDcTerminal setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DeviceDcTerminal setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DeviceDcTerminal setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DeviceDcTerminal setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
